package com.uas.platform.b2b.erp.exception;


import com.uas.platform.core.exception.NotFoundException;


/**
 * 单据未找到异常信息
 *
 * @author hejq
 * @date 2018-07-02
 */
public class NotFoundUtils {

    /**
     * 物料未找到
     *
     * @param paramString 异常信息
     * @param sign 标志
     */
    public static void ProductNotFound(String paramString, String sign) {
        throw new NotFoundException(String.format("%s未找到", new Object[]{paramString}), new Throwable(sign));
    }

    /**
     * 单据未找到
     *
     * @param paramString 异常信息
     * @param sign 标志
     */
    public static void OrderNotFound(String paramString, String sign) {
        throw new NotFoundException(String.format("%s未找到", new Object[]{paramString}), new Throwable(sign));
    }
}
